Subject: Re: Bug in undo/redo handling in conjunction with history-beginning-search-backward
From: Bart Schaefer <[email-masked]>
To: zsh workers <[email-masked]>
Date: Thu, 2 Jun 2016 00:22:57 -0700
List-Id: Zsh Workers List <zsh-workers.zsh.org>

On May 25,  3:02am, Oliver Kiddle wrote:
} Subject: Re: Bug in undo/redo handling in conjunction with history-beginni
}
} On first attempt, I couldn't reproduce this. I do get the effect with
} repeated undos and no redos, however.
} 
} The way history line changes are stored in the undo code differs
} markedly from other changes. So the code has ended up with special logic
} to handle the history changes.

I don't think this is directly related to history changes, I can cause a
crash on multiple undo with bracketed-paste-magic having not changed the
history line at all.  See other thread.